package com.fs.course.service;

import com.fs.course.vo.*;

import java.util.List;

/**
 * 课程Service接口
 *
 * @author fs
 * @date 2024-05-15
 */
public interface IFsUserCourseService
{

    int updateViews(Long courseId);


    List<FsUserCourseVideoAppletVO> selectFsUserCourseVideoApplet();

    List<FsUserCourseVideoAppletVO.FsUserCourseVideo> selectFsUserCourseVideoAppletByCourseId(Long courseId);
}
